Update
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.PersonalClient.Update(ctx, operations.C1APIIamV1PersonalClientServiceUpdateRequest{
ID: "<id>",
})
if err != nil {
log.Fatal(err)
}
if res.PersonalClientServiceUpdateResponse != nil {
// handle response
}
}import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.personalClient.update({
id: "<id>",
});
console.log(result);
}
run();curl --request POST \
--url https://{tenantDomain}.conductor.one/api/v1/iam/personal_clients/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"client": {
"allowSourceCidr": [
"<string>"
],
"displayName": "<string>",
"expiresTime": "2023-11-07T05:31:56Z",
"scopedRoles": [
"<string>"
]
},
"updateMask": "<string>"
}
'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/iam/personal_clients/{id}"
payload = {
"client": {
"allowSourceCidr": ["<string>"],
"displayName": "<string>",
"expiresTime": "2023-11-07T05:31:56Z",
"scopedRoles": ["<string>"]
},
"updateMask": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
client: {
allowSourceCidr: ['<string>'],
displayName: '<string>',
expiresTime: '2023-11-07T05:31:56Z',
scopedRoles: ['<string>']
},
updateMask: '<string>'
})
};
fetch('https://{tenantDomain}.conductor.one/api/v1/iam/personal_clients/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"client": {
"allowSourceCidr": [
"<string>"
],
"clientId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"displayName": "<string>",
"expiresTime": "2023-11-07T05:31:56Z",
"id": "<string>",
"lastUsedAt": "2023-11-07T05:31:56Z",
"scopedRoles": [
"<string>"
],
"updatedAt": "2023-11-07T05:31:56Z",
"userId": "<string>"
}
}Personal Client
Update
Update modifies an existing personal client credential. Use the update mask to specify which fields to change.
POST
/
api
/
v1
/
iam
/
personal_clients
/
{id}
Update
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.PersonalClient.Update(ctx, operations.C1APIIamV1PersonalClientServiceUpdateRequest{
ID: "<id>",
})
if err != nil {
log.Fatal(err)
}
if res.PersonalClientServiceUpdateResponse != nil {
// handle response
}
}import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.personalClient.update({
id: "<id>",
});
console.log(result);
}
run();Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Path Parameters
The unique ID of the personal client credential.
Body
application/json
Response
200 - application/json
Successful response
The PersonalClientServiceUpdateResponse message.
The PersonalClient message contains information about a presonal client credential.
Show child attributes
Show child attributes
Was this page helpful?
⌘I